[jira] [Commented] (NUTCH-2809) Upgrade any23 plugin dependency

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (NUTCH-2809) Upgrade any23 plugin dependency

Sebastian Nagel (Jira)

    [ https://issues.apache.org/jira/browse/NUTCH-2809?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17169215#comment-17169215 ]

ASF GitHub Bot commented on NUTCH-2809:
---------------------------------------

lewismc commented on a change in pull request #541:
URL: https://github.com/apache/nutch/pull/541#discussion_r462042836



##########
File path: src/plugin/any23/ivy.xml
##########
@@ -36,14 +36,12 @@
   </publications>
 
   <dependencies>
-    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.2" conf="*->default">
+    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.3" conf="*->default">
+      <exclude org="javax.ws.rs" name="javax.ws.rs-api" />
       <exclude org="org.apache.commons" name="commons-lang" />
       <exclude org="org.apache.commons" name="commons-compress" />
-      <exclude org="org.slf4j" name="slf4j-log4j12" />

Review comment:
       Why did you remove this?

##########
File path: src/plugin/any23/ivy.xml
##########
@@ -36,14 +36,12 @@
   </publications>
 
   <dependencies>
-    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.2" conf="*->default">
+    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.3" conf="*->default">
+      <exclude org="javax.ws.rs" name="javax.ws.rs-api" />
       <exclude org="org.apache.commons" name="commons-lang" />
       <exclude org="org.apache.commons" name="commons-compress" />
-      <exclude org="org.slf4j" name="slf4j-log4j12" />
       <exclude org="org.slf4j" name="slf4j-api" />
-      <exclude org="xerces" />

Review comment:
       Why did you remove this?
   

##########
File path: src/plugin/any23/plugin.xml
##########
@@ -25,162 +25,59 @@
     <library name="any23.jar">
       <export name="*"/>
     </library>
-      <library name="aopalliance-1.0.jar"/>
-      <library name="apache-any23-api-2.2.jar"/>
-      <library name="apache-any23-core-2.2.jar"/>
-      <library name="apache-any23-csvutils-2.2.jar"/>
-      <library name="apache-any23-encoding-2.2.jar"/>
-      <library name="apache-any23-mime-2.2.jar"/>
-      <library name="apache-mime4j-core-0.8.1.jar"/>
-      <library name="apache-mime4j-dom-0.8.1.jar"/>
-      <library name="asm-5.0.4.jar"/>
-      <library name="bcmail-jdk15on-1.54.jar"/>
-      <library name="bcpkix-jdk15on-1.54.jar"/>
-      <library name="bcprov-jdk15on-1.54.jar"/>
-      <library name="boilerpipe-1.1.0.jar"/>
-      <library name="bzip2-0.9.1.jar"/>
-      <library name="c3p0-0.9.1.1.jar"/>
-      <library name="caffeine-2.5.6.jar"/>
-      <library name="cdm-4.5.5.jar"/>
-      <library name="commons-codec-1.10.jar"/>
-      <library name="commons-collections4-4.1.jar"/>
-      <library name="commons-csv-1.5.jar"/>
-      <library name="commons-exec-1.3.jar"/>
-      <library name="commons-httpclient-3.1.jar"/>
-      <library name="commons-io-2.4.jar"/>
+      <library name="jcommander-1.72.jar"/>

Review comment:
       The changes to the file are not correct. Please [follow the guidance](https://github.com/apache/nutch/blob/master/src/plugin/any23/howto_upgrade_any23.txt#L3-L6) and update this PR if you can. Thanks

##########
File path: src/plugin/any23/ivy.xml
##########
@@ -36,14 +36,12 @@
   </publications>
 
   <dependencies>
-    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.2" conf="*->default">
+    <dependency org="org.apache.any23" name="apache-any23-core" rev="2.3" conf="*->default">
+      <exclude org="javax.ws.rs" name="javax.ws.rs-api" />
       <exclude org="org.apache.commons" name="commons-lang" />
       <exclude org="org.apache.commons" name="commons-compress" />
-      <exclude org="org.slf4j" name="slf4j-log4j12" />
       <exclude org="org.slf4j" name="slf4j-api" />
-      <exclude org="xerces" />
     </dependency>
-    <dependency org="org.apache.commons" name="commons-rdf-api" rev="0.5.0" conf="*->default"/>

Review comment:
       Why did you remove this?




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]


> Upgrade any23 plugin dependency
> -------------------------------
>
>                 Key: NUTCH-2809
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2809
>             Project: Nutch
>          Issue Type: Sub-task
>          Components: plugin
>    Affects Versions: 1.17
>            Reporter: Sebastian Nagel
>            Assignee: Shashanka Balakuntala Srinivasa
>            Priority: Major
>              Labels: help-wanted
>             Fix For: 1.18
>
>         Attachments: NUTCH-2809.patch
>
>
> Any23 2.3 has been released, the plugin any23 should be upgraded. This will also eliminate the a transitive dependency incompatible with the Apache license (see ANY23-372).



--
This message was sent by Atlassian Jira
(v8.3.4#803005)